NSX-T Data Center REST API

Get routing table from route controller

Get routing table from route controller

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/route-controllers/{route-controller-id}/routing-table
Request Headers:
n/a
Query Parameters:
RouteControllerRoutesRequestParameters+
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/route-controllers/RC-1/routing-table

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
RouteControllerRoutingTableListResult+

Example Response:

{ "results": [ { "virtual_network_appliance_path": "ea2426f6-1cc9-43bd-97e8-e40b3a2dcdc5", "count": 3, "route_entries": [ { "route_type": "t0c", "network": "40.40.40.0/24", "admin_distance": 0, "next_hop": "", "lr_component_id": "3924e91f-add9-4b9b-a7a5-075573a8abb0", "lr_component_type": "CCP_ROUTER_TYPE_SERVICE_ROUTER_TIER0", "black_hole": false }, { "route_type": "t0c", "network": "90.90.90.0/24", "admin_distance": 0, "next_hop": "", "lr_component_id": "3924e91f-add9-4b9b-a7a5-075573a8abb0", "lr_component_type": "CCP_ROUTER_TYPE_SERVICE_ROUTER_TIER0", "black_hole": false }, { "route_type": "t0c", "network": "fe80::/64", "admin_distance": 0, "next_hop": "", "lr_component_id": "3924e91f-add9-4b9b-a7a5-075573a8abb0", "lr_component_type": "CCP_ROUTER_TYPE_SERVICE_ROUTER_TIER0", "black_hole": false } ], "status": "SUCCESS" }, { "virtual_network_appliance_path": "94b22101-31ce-40ef-8508-28dace021619", "count": 2, "route_entries": [ { "route_type": "t0c", "network": "40.40.40.0/24", "admin_distance": 0, "next_hop": "", "lr_component_id": "355aab42-d011-40bf-a34f-823419050e5f", "lr_component_type": "CCP_ROUTER_TYPE_SERVICE_ROUTER_TIER0", "black_hole": false }, { "route_type": "t0c", "network": "90.90.90.0/24", "admin_distance": 0, "next_hop": "", "lr_component_id": "355aab42-d011-40bf-a34f-823419050e5f", "lr_component_type": "CCP_ROUTER_TYPE_SERVICE_ROUTER_TIER0", "black_hole": false } ], "status": "SUCCESS" } ] }

Required Permissions:

read

Feature:

policy_route_controller

Additional Errors: